Debian Bug report logs - #593460
Squeeze installation report

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Chris Dennis <chris@fbcs.co.uk>

Date: Wed, 18 Aug 2010 12:36:02 UTC

Severity: normal

Fixed in version grub-installer/1.56

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#593460; Package installation-reports. (Wed, 18 Aug 2010 12:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Dennis <chris@fbcs.co.uk>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 18 Aug 2010 12:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Dennis <chris@fbcs.co.uk>
To: submit@bugs.debian.org
Subject: Squeeze installation report
Date: Wed, 18 Aug 2010 13:33:02 +0100
Package: installation-reports

Boot method: CD - netinst
Image version: 
http://cdimage.debian.org/cdimage/squeeze_di_alpha1/i386/iso-cd/debian-testing-i386-netinst.iso
Date: 18/Aug/2010 11:00BST

Machine: Dell Latitude D810 laptop
Processor: Intel P4
Memory: 2GB
Partitions: installing to /dev/sda3, swap on /dev/sda2.  /dev/sda1 is 
Windows; /dev/sda5 is Ubuntu

Output of lspci -knn (or lspci -nn):

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O] Manual
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [O] Eventually
Overall install:        [O] Eventually

Comments/Problems:

I chose Grub2, it said "You chose not to install Grub to any devices" 
before giving me a chance to make any such choice.  <Go Back> just 
brings up the same message.  <No> in response to "Continue without 
installing Grub" does the same.  Then when I answered <Yes> it found the 
existing OSes and offered to include them in the Grub setup.

Installation completed and rebooted, giving a pretty Grub 2 screen with 
my new Debian system, but no mention of the previously installed OSes.

I had to run os-prober and update-grub manually to get access to the 
existing OSes, but after that it was fine.

cheers

Chris

-- 
Chris Dennis                                  email: chris@fbcs.co.uk
Fordingbridge Computer Services            web: http://www.fbcs.co.uk
Phone: (01425) 658265                            Mobile: 07814 239534




Bug reassigned from package 'installation-reports' to 'grub-installer'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Mon, 23 Aug 2010 12:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#593460; Package grub-installer. (Mon, 23 Aug 2010 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 23 Aug 2010 12:06:03 GMT) Full text and rfc822 format available.

Message #12 received at 593460@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Chris Dennis <chris@fbcs.co.uk>, 593460@bugs.debian.org
Subject: Re: Squeeze installation report
Date: Mon, 23 Aug 2010 13:02:37 +0100
On Wed, Aug 18, 2010 at 01:33:02PM +0100, Chris Dennis wrote:
> http://cdimage.debian.org/cdimage/squeeze_di_alpha1/i386/iso-cd/debian-testing-i386-netinst.iso
[...]
> I chose Grub2, it said "You chose not to install Grub to any devices"  
> before giving me a chance to make any such choice.

I fixed this in grub-installer 1.51 on 2 July, but you won't get the
benefit of that fix with alpha1 - you either need a current
businesscard/netinst build, or else to wait for our next alpha/beta
release.

> Installation completed and rebooted, giving a pretty Grub 2 screen with  
> my new Debian system, but no mention of the previously installed OSes.
>
> I had to run os-prober and update-grub manually to get access to the  
> existing OSes, but after that it was fine.

I'm not sure what this is about, though.  Might be a missing bind-mount.

-- 
Colin Watson                                       [cjwatson@debian.org]




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Wed, 10 Nov 2010 00:21:07 GMT) Full text and rfc822 format available.

Notification sent to Chris Dennis <chris@fbcs.co.uk>:
Bug acknowledged by developer. (Wed, 10 Nov 2010 00:21:08 GMT) Full text and rfc822 format available.

Message #17 received at 593460-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 593460-close@bugs.debian.org
Subject: Bug#593460: fixed in grub-installer 1.56
Date: Wed, 10 Nov 2010 00:17:15 +0000
Source: grub-installer
Source-Version: 1.56

We believe that the bug you reported is fixed in the latest version of
grub-installer, which is due to be installed in the Debian FTP archive:

grub-installer_1.56.dsc
  to main/g/grub-installer/grub-installer_1.56.dsc
grub-installer_1.56.tar.gz
  to main/g/grub-installer/grub-installer_1.56.tar.gz
grub-installer_1.56_kfreebsd-amd64.udeb
  to main/g/grub-installer/grub-installer_1.56_kfreebsd-amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593460@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated grub-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Nov 2010 01:04:15 +0100
Source: grub-installer
Binary: grub-installer
Architecture: source kfreebsd-amd64
Version: 1.56
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 grub-installer - Install GRUB on a hard disk (udeb)
Closes: 560027 567980 593460 595152
Changes: 
 grub-installer (1.56) unstable; urgency=low
 .
   [ Otavio Salvador ]
   * Use '$grub_version' instead of '$grub_package' to choose the chain
     writting code.
 .
   [ Colin Watson ]
   * Run update-grub within in-target so that /target/proc and /target/sys
     are mounted, fixing OS detection (closes: #560027, #567980, #593460).
 .
   [ Robert Millan ]
   * ZFS support (Closes: #595152).
 .
   [ Updated translations ]
   * Catalan (ca.po) by Jordi Mallach
   * Danish (da.po) by Anders Jenbo
   * Persian (fa.po) by Behrad Eslamifar
   * Icelandic (is.po) by Sveinn í Felli
Checksums-Sha1: 
 99fe10660c3390d1d86a42f93ca7cc778eef379b 1026 grub-installer_1.56.dsc
 cfce34997ba92e4c18fbef4a3d71431b5a76839d 171991 grub-installer_1.56.tar.gz
 05315c780d15866efae6c2f0dd075be343933d67 159890 grub-installer_1.56_kfreebsd-amd64.udeb
Checksums-Sha256: 
 7cda372105cbe097429eb879251c679801121fdf32207b2adb13aecec8818c32 1026 grub-installer_1.56.dsc
 9aec7d693914734d5eb227ac00cc35f19e3cf974cc3ebcd235515616e8c82e2f 171991 grub-installer_1.56.tar.gz
 39964229ea7bda7ec75f924c258485f5eace63f479c6f76f943d4350d1a45891 159890 grub-installer_1.56_kfreebsd-amd64.udeb
Files: 
 1d4e901373100b8424d65a15bdcd06c7 1026 debian-installer standard grub-installer_1.56.dsc
 315b02c3c2ff2994205859773d60817b 171991 debian-installer standard grub-installer_1.56.tar.gz
 6e8f79aee215a3af022fff2c91e19c23 159890 debian-installer standard grub-installer_1.56_kfreebsd-amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iEYEARECAAYFAkzZ4d4ACgkQC19io6rUCv8NbwCeK9WMW4AQyy/82p3WeqX/AOmv
6x0An2EpfVeLAiFnGu1Vi7Ajlp2bboIU
=SreT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Dec 2010 07:32:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:56:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.